Subject: Behavioral Change in TAB/enable-incoming-folders option ?

From: "Michael H. Martel" <[email-masked]>
Date: Wed, 27 Mar 1996 09:38:22 -0500 (EST)

Greetings!

I have Pine3.92 running on an DEC OSF box.  In my .pinerc, and in the main
menu config, I have enabled the enable-incoming-folders feature.  I then
have a moderate size list of incoming mail folders (about 30) that I have
procmail filter mail to.  This all worked fine under Pine3.91, and it
still works, kind of in 3.92.

In Pine3.91 when I was in my main INBOX and press TAB, it would then cycle
through my incoming folder collection.  This collection includes four IMAP
servers, which I use the new /user= feature with, and about 26 (or so)
local folders.  Pine3.91 would check each folder, and then stop on the
next folder that had messages that I had not seen (Note that I do
distinguish between the NEW and SEEN flags, so I know it's normal for Pine
to skip folders that have NEW messages).  When I press TAB in Pine3.92,
all is great, while I am going through the remote IMAP mail boxes.
HOWEVER, when I get to the first local folder that has new mail, Pine
displays the new mail and then continues checking the next folder, the one
after that and so on!  If Pine then finds another folder with new mail in
it, I am jumped into that folder and Pine then continues to search again,
until it finds no more folders (Pine3.91 used to prompt to return to the
INBOX at this time).  It then leaves me in the last folder I was in.

Has anyone seen this before ?

Thanks!

Michael

 ------------------------------o---------------------------------
 Michael H. Martel             | Vermont State Colleges
 [email-masked]          | Technical Support Specialist
 http://www.vsc.edu/~michael   | PH:802-241-2535 FX:802-241-3363